> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getPayStub

> 
The `getPayStub` API retrieves detailed pay stub information for a specific employee and pay period.

### What it does:

- Retrieves a comprehensive pay stub for an employee across a single pay period
- Includes gross pay, net pay, state & federal taxes, and deductions based on the employees details



## OpenAPI

````yaml get /reports/getPayStub
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getPayStub:
    get:
      tags: []
      summary: getPayStub
      description: >-

        The `getPayStub` API retrieves detailed pay stub information for a
        specific employee and pay period.


        ### What it does:


        - Retrieves a comprehensive pay stub for an employee across a single pay
        period

        - Includes gross pay, net pay, state & federal taxes, and deductions
        based on the employees details
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getPayStub
                payPeriodId:
                  type: string
                userId:
                  type: string
              required:
                - method
                - payPeriodId
                - userId
            example:
              method: getPayStub
              payPeriodId: F240E800-B95E-41E0-A5D3-0C84E22FFA82
              userId: 18C949DF-7D8C-4752-B7BE-8C2364BE55C5
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  payrollLineItem:
                    type: array
                    items:
                      type: object
                      properties:
                        payPeriodId:
                          type: string
                        payPeriod:
                          type: object
                          properties:
                            payPeriod:
                              type: string
                            payDate:
                              type: string
                          required:
                            - payPeriod
                            - payDate
                        baseTotal:
                          type: number
                        grossTotal:
                          type: number
                        netTotal:
                          type: number
                        ytdBaseTotal:
                          type: number
                        ytdGrossTotal:
                          type: number
                        ytdNetTotal:
                          type: number
                        taxDetails:
                          type: array
                          items:
                            type: object
                            properties:
                              TaxName:
                                type: string
                              TaxAmount:
                                type: integer
                              TaxAmountYTD:
                                type: integer
                            required:
                              - TaxName
                              - TaxAmount
                              - TaxAmountYTD
                        deductions:
                          type: array
                          items:
                            type: object
                            properties:
                              vertexDeductionIdentifier:
                                type: object
                                properties:
                                  deductionDescription:
                                    type: string
                                required:
                                  - deductionDescription
                              amount:
                                type: integer
                              amountYtd:
                                type: integer
                        additionalCompensations:
                          type: array
                          items:
                            type: object
                            properties:
                              payrollLineItemAdditionalCompensation_VertexCompensationIdentifier:
                                type: object
                                properties:
                                  compensationDescription:
                                    type: string
                                required:
                                  - compensationDescription
                              amount:
                                type: integer
                              amountYtd:
                                type: integer
                        overTimes:
                          type: array
                          items:
                            type: object
                            properties:
                              overTimeType:
                                type: object
                                properties:
                                  overTimeType:
                                    type: string
                                required:
                                  - overTimeType
                              amount:
                                type: number
                              numberOfHours:
                                type: integer
                              multiplier:
                                type: integer
                              overtimeYTD:
                                type: number
                        reimbursements:
                          type: array
                          items:
                            type: object
                            properties:
                              reimbursementType:
                                type: string
                              amount:
                                type: integer
                              reimbursementYTD:
                                type: integer
                        timeOffs:
                          type: array
                          items:
                            type: string
                required:
                  - payrollLineItem
              example:
                payrollLineItem:
                  - payPeriodId: F240E800-B95E-41E0-A5D3-0C84E22FFA82
                    payPeriod:
                      payPeriod: 10/01/2025 - 10/31/2025
                      payDate: '2025-11-03'
                    baseTotal: 3953.49
                    grossTotal: 4099.77
                    netTotal: 3725.61
                    ytdBaseTotal: 7953.49
                    ytdGrossTotal: 8332.33
                    ytdNetTotal: 7581.98
                    taxDetails:
                      - TaxName: Federal Withholding Tax
                        TaxAmount: 0
                        TaxAmountYTD: 0
                      - TaxName: Medicare
                        TaxAmount: 58.5
                        TaxAmountYTD: 119.87
                      - TaxName: Social Security
                        TaxAmount: 250.16
                        TaxAmountYTD: 512.58
                      - TaxName: Cares Fund EE
                        TaxAmount: 23.66
                        TaxAmountYTD: 48.21
                      - TaxName: WA - State paid family medical leave EE
                        TaxAmount: 26.84
                        TaxAmountYTD: 54.69
                    deductions:
                      - vertexDeductionIdentifier:
                          deductionDescription: 125Adoption Assistance Reg
                        amount: 25
                        amountYtd: 25
                    additionalCompensations:
                      - payrollLineItemAdditionalCompensation_VertexCompensationIdentifier:
                          compensationDescription: 3rd Party LTD 125 plan
                        amount: 20
                        amountYtd: 20
                    overTimes:
                      - overTimeType:
                          overTimeType: Comp off OT
                        amount: 116.28
                        numberOfHours: 5
                        multiplier: 1
                        overtimeYTD: 348.84
                    reimbursements:
                      - reimbursementType: Gym
                        amount: 10
                        reimbursementYTD: 10
                    timeOffs: []
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid userId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````